Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 703083002: --trust-primitives: Remove bounds checks and receiver and argument type checks (Closed)

Created:
3 years ago by sra1
Modified:
3 years ago
Reviewers:
floitsch
CC:
reviews_dartlang.org
Visibility:
Public.

Description

--trust-primitives: Remove bounds checks and receiver and argument type checks The model is that if your program is tested and never - has a bounds error on a primitive array - tries to do arithmetic on null then when compiled with --trust-primitive it will produce the same answer, but with smaller and faster code. R=floitsch@google.com Committed: https://code.google.com/p/dart/source/detail?r=41682

Patch Set 1 #

Patch Set 2 : #

Total comments: 2

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+63 lines, -5 lines) Patch
M pkg/compiler/lib/src/apiimpl.dart View 1 chunk +2 lines, -0 lines 0 comments Download
M pkg/compiler/lib/src/compiler.dart View 2 chunks +2 lines, -0 lines 0 comments Download
M pkg/compiler/lib/src/dart2js.dart View 3 chunks +9 lines, -0 lines 0 comments Download
M pkg/compiler/lib/src/ssa/codegen.dart View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M pkg/compiler/lib/src/ssa/codegen_helpers.dart View 1 1 chunk +31 lines, -0 lines 0 comments Download
M pkg/compiler/lib/src/ssa/optimize.dart View 1 2 5 chunks +18 lines, -5 lines 0 comments Download
Trybot results:

Messages

Total messages: 7 (1 generated)
sra1
There are O(40) tests in corelib and language that fail. I'm going through them, but ...
3 years ago (2014-11-06 04:09:26 UTC) #2
sra1
On 2014/11/06 04:09:26, sra1 wrote: > There are O(40) tests in corelib and language that ...
3 years ago (2014-11-08 03:14:03 UTC) #3
sra1
Ping. Benchmark patches against r41648: Swarm saves 27515 --trust-type-annotations 25303 --trust-primitives 56472 both (7.9%) Dart2js ...
3 years ago (2014-11-10 23:58:50 UTC) #4
floitsch
LGTM. Sorry for the delay. If it happens again, ping every day. https://codereview.chromium.org/703083002/diff/20001/pkg/compiler/lib/src/ssa/optimize.dart File pkg/compiler/lib/src/ssa/optimize.dart ...
3 years ago (2014-11-11 10:02:04 UTC) #5
sra1
https://codereview.chromium.org/703083002/diff/20001/pkg/compiler/lib/src/ssa/optimize.dart File pkg/compiler/lib/src/ssa/optimize.dart (right): https://codereview.chromium.org/703083002/diff/20001/pkg/compiler/lib/src/ssa/optimize.dart#newcode906 pkg/compiler/lib/src/ssa/optimize.dart:906: if (compiler.trustPrimitives) return; On 2014/11/11 10:02:04, floitsch wrote: > ...
3 years ago (2014-11-12 02:27:37 UTC) #6
sra1
3 years ago (2014-11-12 02:31:42 UTC) #7
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as 41682 (presubmit successful).

Powered by Google App Engine
This is Rietveld efc10ee0f